[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Heads UP - PHP 5.3.0 in rawhide with new ABI/API.




> Hi,
>
> PHP 5.3.0 freshly build in Rawhide.
>
> $ phpize --version
> Configuring for:
> PHP Api Version: 20090626
> Zend Module Api No: 20090626
> Zend Extension Api No: 220090626
>
>
> REMOVED sub-packages
>
> - php-dbase (not maintained)
> - php-mhash (not maintained)

Is it possible to keep this?  I have a package that depends on it, and there may be others, though I have not checked.  If not, is there a replacement, or would you recommend that I construct and submit for review my own package for it?

> - php-ncurses (moved to pecl, see php-pecl-ncurses)
>
> NEW sub-packages
>
> - php-intl
> - php-enchant
>
> NEW extensions
>
> - php-phar (in php-common and php-cli)
> - php-fileinfo (in php-common)
> - php-sqlite3 (in php-pdo)
>
> DEAD Packages
>
> - php-pecl-phar
> - php-pecl-Fileinfo
>
> NEW Package
>
> - php-pecl-ncurses : Waiting for Review (please do it)
> https://bugzilla.redhat.com/show_bug.cgi?id=510913
>
> I've start working on building all extensions (upgrading to latest
> version when needed) I know, starting with the ones I own.
>
>
>
> Most webapp should work (probably with E_DEPRECATED warning, but it's
> disabled for production use).
> A lot of webapp have been already fixed upstream (phpMyAdmin, p.e.)
> Some will probably require some works.
>
>
> Remi.
>
> --
> fedora-devel-list mailing list
> fedora-devel-list redhat com
> https://www.redhat.com/mailman/listinfo/fedora-devel-list
>


--
in your fear, speak only peace
in your fear, seek only love

-d. bowie
[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]